=head1 NAME

Goo::Canvas::Widget - wrapper for GooCanvasWidget

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Widget



=cut

=head1 INTERFACES

  Goo::Canvas::Item



=cut


=head1 METHODS

=head2 item = Goo::Canvas::Widget-E<gt>B<new> ($parent, $widget, $x, $y, $width, $height, ...)

=over

=item * $parent (Goo::Canvas::Item) 

=item * $widget (Gtk2::Widget) 

=item * $x (double) 

=item * $y (double) 

=item * $width (double) 

=item * $height (double) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'anchor' (Gtk2::AnchorType : default "north-west" : readable / writable)

How to position the widget relative to the item's x and y coordinate settings

=item 'height' (double : default -1 : readable / writable)

The height of the widget, or -1 to use its requested height

=item 'widget' (Gtk2::Widget : default undef : readable / writable)

The widget to place in the canvas

=item 'width' (double : default -1 : readable / writable)

The width of the widget, or -1 to use its requested width

=item 'x' (double : default 0 : readable / writable)

The x coordinate of the widget

=item 'y' (double : default 0 : readable / writable)

The y coordinate of the widget

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::AnchorType

=over

=item * 'center' / 'GTK_ANCHOR_CENTER'

=item * 'north' / 'GTK_ANCHOR_NORTH'

=item * 'north-west' / 'GTK_ANCHOR_NORTH_WEST'

=item * 'north-east' / 'GTK_ANCHOR_NORTH_EAST'

=item * 'south' / 'GTK_ANCHOR_SOUTH'

=item * 'south-west' / 'GTK_ANCHOR_SOUTH_WEST'

=item * 'south-east' / 'GTK_ANCHOR_SOUTH_EAST'

=item * 'west' / 'GTK_ANCHOR_WEST'

=item * 'east' / 'GTK_ANCHOR_EAST'

=item * 'n' / 'GTK_ANCHOR_N'

=item * 'nw' / 'GTK_ANCHOR_NW'

=item * 'ne' / 'GTK_ANCHOR_NE'

=item * 's' / 'GTK_ANCHOR_S'

=item * 'sw' / 'GTK_ANCHOR_SW'

=item * 'se' / 'GTK_ANCHOR_SE'

=item * 'w' / 'GTK_ANCHOR_W'

=item * 'e' / 'GTK_ANCHOR_E'

=back




=cut


=head1 SEE ALSO

L<Glib::Object>, L<Goo::Canvas::ItemSimple>


=cut


=head1 COPYRIGHT


Copyright (C) 2017 Gtk2-Perl Team




=cut

